package com.ruoyi.ems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ems.mapper.AdmEmsElecPgIndexMapper;
import com.ruoyi.ems.domain.AdmEmsElecPgIndex;
import com.ruoyi.ems.service.IAdmEmsElecPgIndexService;

/**
 * 电网设施指标Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
@Service
public class AdmEmsElecPgIndexServiceImpl implements IAdmEmsElecPgIndexService 
{
    @Autowired
    private AdmEmsElecPgIndexMapper admEmsElecPgIndexMapper;

    /**
     * 查询电网设施指标
     * 
     * @param id 电网设施指标主键
     * @return 电网设施指标
     */
    @Override
    public AdmEmsElecPgIndex selectAdmEmsElecPgIndexById(Long id)
    {
        return admEmsElecPgIndexMapper.selectAdmEmsElecPgIndexById(id);
    }

    /**
     * 查询电网设施指标列表
     * 
     * @param admEmsElecPgIndex 电网设施指标
     * @return 电网设施指标
     */
    @Override
    public List<AdmEmsElecPgIndex> selectAdmEmsElecPgIndexList(AdmEmsElecPgIndex admEmsElecPgIndex)
    {
        return admEmsElecPgIndexMapper.selectAdmEmsElecPgIndexList(admEmsElecPgIndex);
    }

    /**
     * 新增电网设施指标
     * 
     * @param admEmsElecPgIndex 电网设施指标
     * @return 结果
     */
    @Override
    public int insertAdmEmsElecPgIndex(AdmEmsElecPgIndex admEmsElecPgIndex)
    {
        return admEmsElecPgIndexMapper.insertAdmEmsElecPgIndex(admEmsElecPgIndex);
    }

    /**
     * 修改电网设施指标
     * 
     * @param admEmsElecPgIndex 电网设施指标
     * @return 结果
     */
    @Override
    public int updateAdmEmsElecPgIndex(AdmEmsElecPgIndex admEmsElecPgIndex)
    {
        return admEmsElecPgIndexMapper.updateAdmEmsElecPgIndex(admEmsElecPgIndex);
    }

    /**
     * 批量删除电网设施指标
     * 
     * @param ids 需要删除的电网设施指标主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsElecPgIndexByIds(Long[] ids)
    {
        return admEmsElecPgIndexMapper.deleteAdmEmsElecPgIndexByIds(ids);
    }

    /**
     * 删除电网设施指标信息
     * 
     * @param id 电网设施指标主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsElecPgIndexById(Long id)
    {
        return admEmsElecPgIndexMapper.deleteAdmEmsElecPgIndexById(id);
    }
}
